
/**************************************************************
	Exercise Set #1
	SGPLOT 

	Basic Syntax and refining plots

	Assets          Num       8
	Cash_Flow       Num       8
	Company         Char     32
	Employees       Num       8
	Market_Value    Num       8
	Profits         Num       8
	Sales           Num       8
	sector          Char     15

**************************************************************/

/* This statement needs to be executed if you have not already executed
	datasets.sas.

%let homedir=C:\HOW\kincaid_Intro;
*/

ods graphics on /
	imagename="ODS_Graphics_HOW";

ods html path="&homedir.\results" (url=none)
         file="HOW_graphs.html";  

/*
	SGPLOT Exercise #1.1
	Categorization Plots

		DOT 
		HBAR
		VBAR
		HLINE
		VLINE
*/

title1 "#1.1: Categorization Plots with RESPONSE Variable";
title2 "Number of Employees by Sector";

proc sgplot data=fortune;
*	<keyword> sector / RESPONSE=employees;
	<keyword> sector / RESPONSE=employees;
run;

/*
	SGPLOT Exercise #1.2

	Assets on X axis
	Sales on Y axis

	Basic plots			Fit plots

	SCATTER				LOESS
	SERIES				REG
	STEP				ELLIPSE
	NEEDLE				PBSPLINE
	VECTOR				

*/

title1 "1.2: Basic and Fit Plots";
title2 "Sales vs Assets";

proc sgplot data=fortune;
*	<keyword> X=assets Y=sales ;
	<keyword> X=assets Y=sales ;
run;

/*
	SGPLOT Exercise #1.3

	Distributions Plots

	HBOX
	VBOX
	HISTOGRAM
	DENSITY

*/

title1 "#1.3: Distribution Plots";
title2 "Overall Sales Distribution";

proc sgplot data=fortune;
*	<keyword> sales ;
	<keyword> sales ;
run;




