/*******************************************************
	Exercise Set #3
	SGPLOT 

*/

/*
	SGPLOT Exercise #3.0

	HTMLBLUE				DEFAULT
	ANALYSIS				STATISTICAL
	LISTING 				PRINTER
	JOURNAL					JOURNAL2
	JOURNAL3
*/

title1 "#3.0: Plotting with Style";
title2 "Total Invoice Dollars by Type";

ods html style=<keyword>;

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster grouporder=ascending;
run;


ods html style=htmlblue;

/*

	SGPLOT Exercise #3.1

	NONE | CRISP | GLOSS | MATTE | PRESSED | SHEEN

*/

title1 "#3.1: Skinning Data";
title2 "Total Invoice Dollars by Type";

proc sgplot data=cars;
*	hbar type / response=invoice dataskin=<option>;
	hbar type / response=invoice dataskin=<option>;
run;

/*
	SGPLOT Exercise #3.2.1

	Sample 39142 - The danger of high price-earnings ratios
	From SAS

	http://support.sas.com/kb/39142

	For exercise purposes, build up advanced plot piece by piece. 

	Start with the red "Out of Control" indicator
	so that it's the farthest back.
*/

title1 "#3.2: Using Overlays to Enhance Plot";
title2 "The Danger of High Price-Earnings Ratios";
footnote j=l "Source: Robert J. Shiller";

proc sgplot data=pe_data noautolegend;
   yaxis offsetmin=0;
   band x=year upper=pe10 lower=0 / fillattrs=(color=red);
run;

/*

	SGPLOT Exercise #3.2.2

	Add the regular background to mask (because it is after
	the first band) the non-out of countrol parts;
	Notice that the color isn't the same as the final;
*/

proc sgplot data=pe_data noautolegend;
   yaxis offsetmin=0;
   band x=year upper=pe10 lower=0 / fillattrs=(color=red);
   band x=year  upper=20 lower=0;
run;

/* 

	SGPLOT Exercise #3.2.3

	Add the reference lines and home-made grid.
	The attributes for the grid lines use a built in style
	"GraphGridLines". Try it without "/ LINEATTRS=GRAPHGRIDLINES"
	to see what the default would be.
*/
proc sgplot data=pe_data noautolegend;
   yaxis offsetmin=0;
   band x=year upper=pe10 lower=0 / fillattrs=(color=red);
   band x=year  upper=20 lower=0;
   refline 20 / label="PE=20";
   refline 10 20 30 40 / lineattrs=GraphGridLines;
run;

/* 

	SGPLOT Exercise #3.2.4

	Add the series with datalabels. 
	The labels set up in the input data so only two 
	records (or datapoints) actually have values. 
	Those are the only two you see. The rest are missing.

	Again, we used (and modified) a particular LINEATTRS style. We 
	modified it so that the data line would be clearer.

	Notice that the color of the second band, 
	i.e. "band x=year  upper=20 lower=0;" changed when we
	added the series.
*/

proc sgplot data=pe_data noautolegend;
   yaxis offsetmin=0;
   band x=year upper=pe10 lower=0 / fillattrs=(color=red);
   band x=year  upper=20 lower=0;
   refline 20 / label="PE=20";
   refline 10 20 30 40 / lineattrs=GraphGridLines;
   series x=year y=pe10 / lineattrs=GraphData1(thickness=3) datalabel=label; 
run;

footnote;

/*

	SGPLOT Exercise #3.3 

	For exercise purposes, build up advanced plot piece by piece. 

	Example BMI from SAS 

	http://support.sas.com/kb/31510

	Prepare the data sets, BMI and RECORDS so that
	BMI + RECORDS => MERGED 
*/

data bmi;
	infile datalines;
	input category $ 1-11 upper_bmi lower_bmi weight_bmi;
	lower_hgt=(703*weight_bmi/lower_bmi)**.5;
	upper_hgt=(703*weight_bmi/upper_bmi)**.5;
	nn=_n_;
datalines;
Underweight 1 18.5 25.0 4
Underweight 1 18.5 100.0 4
Underweight 1 18.5 175.0 4
Underweight 1 18.5 250.0 4
Underweight 1 18.5 325.0 4
Normal      18.5 25.0 25.0 5
Normal      18.5 25.0 100.0 5
Normal      18.5 25.0 175.0 5
Normal      18.5 25.0 250.0 5
Normal      18.5 25.0 325.0 5
Overweight 	25.0 30.0 25.0 6
Overweight 	25.0 30.0 100.0 6
Overweight 	25.0 30.0 175.0 6
Overweight 	25.0 30.0 250.0 6
Overweight 	25.0 30.0 325.0 6
Obese       30.0 150.0 25.0 7
Obese       30.0 150.0 100.0 7
Obese       30.0 150.0 175.0 7
Obese       30.0 150.0 250.0 7
Obese       30.0 150.0 325.0 7
;
run;

data records;
	infile datalines;
	nn=_n_;
	input wgt hgt year name $ ;
datalines;
45 52 1975 Bob
80 56 1980 Bob
125 66 1986 Bob
175 67 1990 Bob
200 68 1995 Bob
215 69 2000 Bob
250 69 2005 Bob
80 43 1975 Fred
85 58 1980 Fred
135 70 1986 Fred
180 70 1990 Fred
195 70 2005 Fred
50 42 1975 Jack
135 54 1980 Jack
140 64 1985 Jack
160 73 1990 Jack
170 76 2000 Jack
180 76 2005 Jack
;
run;

proc sort data= records;
	by nn;
run;

proc sort data= bmi;
	by nn;
run;

data merged;
	merge records bmi;
	by nn;
	if name='' then name='Jack';
run;

* Redefine the colors;

proc template;
	define style styles.bmi;
	parent=styles.listing;
	style graphcolors from graphcolors /
		'gcdata1'=CX31035E
		'gdata1'=CXFFFFFF
		'gdata3'=CXFDC861
		'gdata4'=CXDC531F
		'gdata2'=CX679920;
end;
run;

ODS html style=bmi;
ods graphics / imagename="bmi" ; 

title1 "#3.3: Using Overlays to Enhance Plot";
title2 '3 Patient Growth Charts with their BMI Categories';

/*

	SGPLOT Exercise #3.3.1 

	Draw the background reference.
	Set the transparency so that colors aren't overwhelming. Try it
		without the transparency option

	Set the range on the axes in anticipation of the data

	We'll use the NAME= option to give two different legends

*/
proc sgplot data=merged;
	band x=weight_bmi upper=upper_hgt lower=lower_hgt / transparency=.5 group=category name="bmi";
	xaxis min=30 max=300 label='Weight (lbs)' grid;
	yaxis min=40 max=80 label='Height (in)' grid;
	keylegend "bmi" / position=right across=1 title='BMI';
run;

/* 
	Add the growth behavior for the patients.
	Again we use the NAME option to have a separate KEYLEGEND

	DATALABEL gives us a way to add another dimension (TIME) to the graph

	We add MARKERS to the SERIES line and fill them in. Note that the legend
	uses this same style
*/

proc sgplot data=merged;
	band x=weight_bmi upper=upper_hgt lower=lower_hgt / transparency=.5 group=category name="bmi";
	xaxis min=30 max=300 label='Weight (lbs)' grid;
	yaxis min=40 max=80 label='Height (in)' grid;
	keylegend "bmi" / position=right across=1 title='BMI';
	series x=wgt y=hgt / datalabel=year lineattrs=(pattern=solid thickness=2px) 
		markers markerattrs=(symbol=circlefilled ) group=name name="pts";
	keylegend "pts" / position=bottom title='Patient: ';
run;

/*
	Add the inset text to explain BMI.
	We use an escape character -> (*ESC*){sup '2'} <- to
	put in the superscript
*/

proc sgplot data=merged;
	band x=weight_bmi upper=upper_hgt lower=lower_hgt / transparency=.5 group=category name="bmi";
	xaxis min=30 max=300 label='Weight (lbs)' grid;
	yaxis min=40 max=80 label='Height (in)' grid;
	keylegend "bmi" / position=right across=1 title='BMI';
	series x=wgt y=hgt / datalabel=year lineattrs=(pattern=solid thickness=2px) 
		markers markerattrs=(symbol=circlefilled ) group=name name="pts";
	keylegend "pts" / position=bottom title='Patient: ';
	inset "BMI=703 x Weight / Height (*ESC*){sup '2'}" " "/
		position=bottomright textattrs=graphfootnotetext;
run;

