/**************************************************************
	Exercise Set #4
	SGPANEL

	Assets          Num       8
	Cash_Flow       Num       8
	Company         Char     32
	Employees       Num       8
	Market_Value    Num       8
	Profits         Num       8
	Sales           Num       8
	sector          Char     15
**************************************************************/
/*
	SGPANEL Exercise #4.1

	SCATTER plot by sector with PANELBY statement

	Add options on PANELBY WITH "/"
		ONEPANEL
		NOVARNAME
		START=BOTTOMLEFT
		NOBORDERS
*/

title1 "#4.1: PANELBY Statement";
title2 "Sales vs Assets Conditioned on Sector";

proc sgpanel data=fortune2;
	format assets sales dollar8.;
	<keyword> sector ;
	loess x=assets y=sales; 
run;

/*
	SGPANEL Exercise #4.2

	First, look again at the original plot from before.
*/

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster grouporder=ascending;
run;

/*
	Now, we will use a COLUMNLATTICE layout and get rid of the variable names, so that there is 
		NOVARNAME and the borders, so that there is NOBORDER
	We'll put the column headers at the BOTTOM, too.
	Then we'll create vertical bar charts with stacked groups (the default)
	The DATASKIN should be glossy
	We will DISPLAY no label on the COLAXIS
*/

title1 "#4.2: Grouped and Stacked Barcharts at the same time";
title2 "Actual Sales by Product, Year and Quarter";

proc sgpanel data=cars;
*  panelby make / layout=<keyword> <keyword> <keyword> colheaderpos=<keyword>;
   panelby make / layout=<keyword> <keyword> <keyword> colheaderpos=<keyword>;
*  vbar type / response=invoice group=cylinders <keyword>=gloss;
   vbar type / response=invoice group=cylinders <keyword>=gloss;
*  <keyword> <keyword>=(nolabel);
   <keyword> <keyword>=(nolabel);
   rowaxis grid;
run;

/*
	SGPANEL Exercise #4.3

	Look at the distribution of mileage
  	We'll use a ROWLATTICE layout
	and a GRID on the row axis. Try it without the rowaxis statement, too.

*/

proc sgpanel data=sashelp.cars;
	where type ne 'Hybrid';
*	panelby origin / novarname layout=<keyword>;
	panelby origin / novarname layout=<keyword>;
	histogram mpg_city;
	density mpg_city;
	density mpg_city / type=kernel;
	colaxis display=(nolabel);
*	rowaxis <keyword>;
	rowaxis <keyword>;
run;

/*
	SGPANEL Exercise #4.4.1

	Description:
		Fat content of dried whole eggs from a 
		single well-mixed can. Two samples drawn 
		from a well-mixed can of dried whole eggs 
		were analyzed in each of six laboratories 
		by two analysts in each laboratory. Values 
		report measured percent fat - 41.70. 
		Bliss reports a more complete analysis.

	Variable Names:
		Fat_content: Fat content as a percentage
		Lab: Lab which ran the experiment
		Technician: Technician code
		Sample: Sample type used 
		Labn: Formatted variable to put Labs in order 
				according to their median fat content
				across Technician and Sample

	PANEL Layouts for analysis
	Conditioned on Lab Technician and Sample
*/

title1 "#4.4.1: PANEL Horizontal Boxplots";
title2 "Laboratory Analysis";
title3 "Comparing Results on Equal Samples";

proc sgpanel data=eggs;
	<keyword> lab technician sample;
	hbox fat_content;
run;

/*
	SGPANEL Exercise #4.4.3

	Break up boxplots with Lab as CATEGORY
	Add to previous plot with

	a LATTICE LAYOUT

	NOTE: We created a new variable labn to sort labs according to their 
		median fat content across Technician and Sample

	Look in c:\HOW\kincaid\datasets.sas to see how LABN was created.
*/

title1 "#4.4.3: LATTICE LAYOUT";
title2 "Laboratory Analysis";
title3 "Comparing Results on Equal Samples";

proc sgpanel data=eggs;
	panelby technician sample / <keyword>=<keyword>;
	hbox fat_content / category=labn;
run;

/*
	SGPANEL Exercise #4.4.4

	Combine samples by using fewer PANELBY variables
*/

title1 "4.4.4: Combining Samples";
title2 "Laboratory Analysis";
title3 "Comparing Results on Equal Samples";

proc sgpanel data=eggs;
	panelby technician ;
	vbox fat_content / category=labn;
run;
