
/**************************************************************
	Solution Set #1
	SGPLOT 

	Basic Syntax and refining plots

	Assets          Num       8
	Cash_Flow       Num       8
	Company         Char     32
	Employees       Num       8
	Market_Value    Num       8
	Profits         Num       8
	Sales           Num       8
	sector          Char     15

**************************************************************/
/* This statement needs to be executed if you have not already executed
	datasets.sas.

%let homedir=C:\HOW\kincaid_Intro Presentation;

ods html close;

*/

ods graphics on / reset=all
	imagename="ODS_Graphics_HOW";

ods html path="&homedir.\results" (url=none)
         file="HOW_graphs.html" image_dpi=300;  

/*
	SGPLOT Exercise #1.1
	Categorization Plots

		DOT 
		HBAR
		VBAR
		HLINE
		VLINE
*/

title1 "#1.1: Categorization (DOT) Plot";
title2 "Number of Companies by Sector";

proc sgplot data=fortune;
	dot sector;
run;

title1 "#1.1: Categorization Plot with RESPONSE Variable";
title2 "Number of Employees by Sector";

proc sgplot data=fortune;
	dot sector / RESPONSE=employees;
run;

ods graphics / height=3.5in;

title1 "#1.1 HBAR";
title2 "Number of Employees by Sector";

proc sgplot data=fortune;
	hbar sector;
run;

title1 "#1.1 VBAR";
title2 "Number of Employees by Sector";

proc sgplot data=fortune;
	vbar sector;
run;

title1 "#1.1 HLINE";
title2 "Number of Employees by Sector";

proc sgplot data=fortune;
	hline sector;
run;

title1 "#1.1 VLINE";
title2 "Number of Employees by Sector";

proc sgplot data=fortune;
	vline sector;
run;

ods graphics / reset=height;

/*
	SGPLOT Exercise #1.2

	Assets on X axis
	Sales on Y axis

	Basic plots			Fit plots

	SCATTER				LOESS
	SERIES				REG
	STEP				ELLIPSE
	NEEDLE				PBSPLINE
	VECTOR				

*/

title1 "#1.2: Basic and Fit Plots";
title2 "SCATTER Plot";

proc sgplot data=fortune;
	scatter X=assets Y=sales ;
run;

proc sort data=fortune;
	by assets;
run;

ods graphics / height=3.5in;

title2 "SERIES Plot";

proc sgplot data=fortune;
	series X=assets Y=sales ;
run;

title2 "STEP Plot";

proc sgplot data=fortune;
	step X=assets Y=sales ;
run;

title2 "VECTOR Plot";

proc sgplot data=fortune;
	vector X=assets Y=sales ;
run;

title2 "NEEDLE Plot";

proc sgplot data=fortune;
	needle X=assets Y=sales ;
run;

ods graphics / reset=height;



/*
	SGPLOT Exercise #1.3

	Distributions Plots

	HBOX
	VBOX
	HISTOGRAM
	DENSITY

*/

ods graphics / height=3.5in;

title1 "#1.3: HBOX Plot";

proc sgplot data=fortune;
	hbox sales ;
run;

title1 "#1.3: VBOX Plot";

proc sgplot data=fortune;
	vbox sales ;
run;

title1 "#1.3: HISTOGRAM Plot";

proc sgplot data=fortune;
	histogram sales ;
run;

title1 "#1.3: DENSITY Plot";

proc sgplot data=fortune;
	density sales ;
run;


ods graphics / reset=height;
