/**************************************************************
	Solution Set #2
	SGPLOT 

	Grouping, Legends and Axes

**************************************************************/

/*
	SGPLOT Exercise #2.1

	Using the CATEGORY option
*/

title1 "#2.1: CATEGORY option";
title2 "Number of Employees by Sector";

proc sgplot data=fortune;
	hbox employees / category=sector;
run;

/*
	SGPLOT Exercise #2.2

	LOESS plot 
	Y=mpg_city vs X=msrp GROUPed by Cylinders
	Use LOG x-axis

	What is LOESS?
	The loess procedure fits simple models to localized subsets 
	of the data to plot a smooth curve through a set of data points. 
	The SAS documentation says that it "fits nonparametric models using 
	a local regression method. [The related] PROC LOESS is suitable for 
	modeling regression surfaces where the underlying parametric form is 
	unknown and where robustness in the presence of outliers is required.
*/

title1 "#2.2: LOESS plot with GROUP option";
title2 "City MPG vs MSRP by # of Cylinders";

proc sgplot data=cars2;
	loess x=msrp y=mpg_city / group=cylinders ;
	xaxis type=log;
run;

/*
	SGPLOT Exercise #2.3

	Multiple statements
*/

title1 "#2.3: 3 SERIES Plots";
title2 "IBM Stock Prices by Date";

proc sgplot data=ibm_stocks ;
	series x=date y=close ;
	series x=date y=low ;
	series x=date y=high;
run;

/* 
	Example #2.4
	Overlaying plot
	The order matters. Series then band doesn't work.
*/

title1 "#2.4: SERIES & BAND Plot";
title2 "IBM Stock Prices by Date";

proc sgplot data=ibm_stocks;
	series x=date y=close ;
	band x=date lower=low upper=high;
run;

/* 
	Example #2.5
	Overlaying plots
	Band then series does. Can work to your advantage. 
*/

title1 "#2.5: Order Matters";
title2 "IBM  Prices by Date";

proc sgplot data=ibm_stocks;
	band x=date lower=low upper=high;
  	series x=date y=close ;
run;

/*
	SGPLOT Exercise #2.6

	Legends

	KEYLEGEND
	TITLE
	LOCATION

	YAXIS LABEL
*/

title1 "#2.6: Creating Legends";
title2 "IBM Stock Prices by Date";

proc sgplot data=ibm_stocks ;
	series x=date y=close / name="close";
	series x=date y=low / name="low";
	series x=date y=high / name="high";
	keylegend "low" "high" / title="IBM" location=inside;
	yaxis label="Price";
run;

/*
	SGPLOT Exercise #2.7

	HBAR type => Horizontal Bar Chart each bar represents a vehicle type
	RESPONSE=invoice => Height of the bar is based on variable invoice
	
	Add 

	GROUP=cylinders => show stacked barchart categories defined by variable cylinders
	GROUPDISPLAY=cluster => change from stacked barchart to side-by-side grouped
	GROUPORDER=ascending => change order of cylinders (GROUP variable) to 4 6 8.
	NOFILL
	NOSTATLABEL
	NOOUTLINE
*/

title1 "#2.7: Grouped Bar Charts";
title2 "Total Invoice Dollars by Type";

proc sgplot data=cars;
	hbar type / response=invoice;
run;

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders ;
run;

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster ;
run;

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster grouporder=ascending;
run;

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster grouporder=ascending;
run;

/*
	SGPLOT Exercise #2.9

	Add 

	categoryorder=respasc (9.3 or later)

*/

title1 "#2.9: Ascending Bar Chart Categories";
title2 "Employees by Sector";

proc sgplot data=fortune;
	hbar sector / RESPONSE=employees ;
run;

title1 "#2.9: Ascending Bar Chart Categories";
title2 "Employees by Sector";

proc sgplot data=fortune;
	hbar sector / RESPONSE=employees categoryorder=respasc ;
run;
