/*******************************************************
	Solution Set #3
	SGPLOT

	SGPLOT Exercise #3.0

	HTMLBLUE				DEFAULT
	ANALYSIS				STATISTICAL
	LISTING 				PRINTER
	JOURNAL					JOURNAL2
	JOURNAL3
*/

ods graphics / height=3.5in;

title1 "#3.0: HTMLBlue";

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster grouporder=ascending;
run;

ods html style=analysis;

title1 "#3.0: Analysis";

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster grouporder=ascending;
run;

ods html style=journal;

title1 "#3.0: Journal";

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster grouporder=ascending;
run;

ods html style=journal2;

title1 "#3.0: Journal2";

proc sgplot data=cars;
	hbar type / response=invoice group=cylinders groupdisplay=cluster grouporder=ascending;
run;

ods html style=htmlblue;

ods graphics / reset=height;

/*

	SGPLOT Exercise #3.2.1

	Sample 39142 - The danger of high price-earnings ratios
	From SAS

	http://support.sas.com/kb/39142

	For exercise purposes, build up advanced plot piece by piece. 

	Start with the red "Out of Control" indicator
	so that it's the farthest back.
*/

title1 "#3.2.1: Using Overlays to Enhance Plot";
title2 "The Danger of High Price-Earnings Ratios";
footnote j=l "Source: Robert J. Shiller";

proc sgplot data=pe_data noautolegend;
   yaxis offsetmin=0;
   band x=year upper=pe10 lower=0 / fillattrs=(color=red);
run;

/*

	SGPLOT Exercise #3.2.2

	Add the regular background to mask (because it is after
	the first band) the non-out of countrol parts;
	Notice that the color isn't the same as the final;

	Add the reference lines and home-made grid.
	The attributes for the grid lines use a built in style
	"GraphGridLines". Try it without "/ LINEATTRS=GRAPHGRIDLINES"
	to see what the default would be.
*/

title1 "#3.2.2: Using Overlays to Enhance Plot";
title2 "The Danger of High Price-Earnings Ratios";

proc sgplot data=pe_data noautolegend;
   yaxis offsetmin=0;
   band x=year upper=pe10 lower=0 / fillattrs=(color=red);
   band x=year  upper=20 lower=0;
   refline 20 / label="PE=20";
   refline 10 20 30 40 / lineattrs=GraphGridLines;
run;

/* 

	SGPLOT Exercise #3.2.3

	Add the series with datalabels. 
	The labels set up in the input data so only two 
	records (or datapoints) actually have values. 
	Those are the only two you see. The rest are missing.

	Again, we used (and modified) a particular LINEATTRS style. We 
	modified it so that the data line would be clearer.

	Notice that the color of the second band, 
	i.e. "band x=year  upper=20 lower=0;" changed when we
	added the series.
*/

title1 "#3.2.3: Using Overlays to Enhance Plot";
title2 "The Danger of High Price-Earnings Ratios";

proc sgplot data=pe_data noautolegend;
   yaxis offsetmin=0;
   band x=year upper=pe10 lower=0 / fillattrs=(color=red);
   band x=year  upper=20 lower=0;
   refline 20 / label="PE=20";
   refline 10 20 30 40 / lineattrs=GraphGridLines;
   series x=year y=pe10 / lineattrs=GraphData1(thickness=3) datalabel=label; 
run;

footnote;

ods html style=htmlblue;
