/**************************************************************
	Solution Set #4
	SGPANEL

**************************************************************/

/*
	SGPANEL Exercise #4.2

	Now, we will use a COLUMNLATTICE layout and get rid of the variable names, so that there is 
		NOVARNAME and the borders, so that there is NOBORDER
	We'll put the column headers at the BOTTOM, too.
	Then we'll create vertical bar charts with stacked groups (the default)
	The DATASKIN should be glossy
	We will DISPLAY no label on the COLAXIS
*/

title1 "#4.2: Grouped and Stacked Barcharts at the same time";
title2 "Actual Sales by Product, Year and Quarter";

proc sgpanel data=cars;
  panelby make / layout=columnlattice novarname noborder colheaderpos=bottom;
  vbar type / response=invoice group=cylinders dataskin=gloss;
  colaxis display=(nolabel);
  rowaxis grid;
  run;

/*
	SGPANEL Exercise #4.3

	Look at the distribution of mileage
  	We'll use a ROWLATTICE layout
	and a GRID on the row axis. Try it without the rowaxis statement, too.

*/

proc sgpanel data=sashelp.cars;
	where type ne 'Hybrid';
	panelby origin / novarname layout=rowlattice;
	histogram mpg_city;
	density mpg_city;
	density mpg_city / type=kernel;
	colaxis display=(nolabel);
	rowaxis grid;
run;
